Skip to content

Creates a new coupon record that does not already exist.

Request

This method will auto-generate an ID and create a new coupon. If an ID is specified for the coupon, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The coupon that you would like to be saved.

application_fee_discount_infoobject(Application Fee Discount Info)required
apply_to_application_feesboolean(Apply To Application Fees)

If set, this will apply to certification application fees

apply_to_course_feesboolean(Apply To Course Fees)

This applies to courses

apply_to_exam_feesboolean(Apply To Exam Fees)

This applies to exams

code_generation_htmlstring(Code Generation Html)

HTML you can add into HTML generation for the code

course_fee_discount_infoobject(Course Fee Discount Info)required
custom_field_valuesArray of objects(Custom Field Values)
discount_methodstring(Discount Method)required
Enum:"discount line item""inline discount"
discount_product_idstring(Discount Product)required
exam_fee_discount_infoobject(Exam Fee Discount Info)required
idstring(ID)^[\w|-]+$required

The unique, string identifier of this coupon

is_activeboolean(Is Active)

Whether or not this coupon is active

maximum_discountnumber, (float)(Maximum Discount)

The optional maximum discount that this coupon can yield, irrespective of its configuration

namestring(Name)required

The name of the coupon

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/coupons/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "application_fee_discount_info": {
      "amount": 0.1,
      "applies_to_new_applications": true,
      "applies_to_reinstatement_applications": true,
      "applies_to_renewing_applications": true,
      "fee_ids": [
        "string"
      ],
      "method": "amount",
      "process_ids": [
        "string"
      ],
      "program_ids": [
        "string"
      ]
    },
    "apply_to_application_fees": true,
    "apply_to_course_fees": true,
    "apply_to_exam_fees": true,
    "code_generation_html": "string",
    "course_fee_discount_info": {
      "amount": 0.1,
      "course_fee_ids": [
        "string"
      ],
      "course_ids": [
        "string"
      ],
      "course_type_ids": [
        "string"
      ],
      "method": "amount",
      "program_ids": [
        "string"
      ]
    },
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "discount_method": "discount line item",
    "discount_product_id": "string",
    "exam_fee_discount_info": {
      "amount": 0.1,
      "exam_fee_ids": [
        "string"
      ],
      "exam_ids": [
        "string"
      ],
      "method": "amount",
      "program_ids": [
        "string"
      ]
    },
    "id": "string",
    "is_active": true,
    "maximum_discount": 0.1,
    "name": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1
  }'

Responses

The coupon was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
application_fee_discount_infoobject(Application Fee Discount Info)required
apply_to_application_feesboolean(Apply To Application Fees)

If set, this will apply to certification application fees

apply_to_course_feesboolean(Apply To Course Fees)

This applies to courses

apply_to_exam_feesboolean(Apply To Exam Fees)

This applies to exams

code_generation_htmlstring(Code Generation Html)

HTML you can add into HTML generation for the code

course_fee_discount_infoobject(Course Fee Discount Info)required
custom_field_valuesArray of objects(Custom Field Values)
discount_methodstring(Discount Method)required
Enum:"discount line item""inline discount"
discount_product_idstring(Discount Product)required
exam_fee_discount_infoobject(Exam Fee Discount Info)required
idstring(ID)^[\w|-]+$required

The unique, string identifier of this coupon

is_activeboolean(Is Active)

Whether or not this coupon is active

maximum_discountnumber, (float)(Maximum Discount)

The optional maximum discount that this coupon can yield, irrespective of its configuration

namestring(Name)required

The name of the coupon

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "application_fee_discount_info": { "amount": 0.1, "applies_to_new_applications": true, "applies_to_reinstatement_applications": true, "applies_to_renewing_applications": true, "fee_ids": [ … ], "method": "amount", "process_ids": [ … ], "program_ids": [ … ] }, "apply_to_application_fees": true, "apply_to_course_fees": true, "apply_to_exam_fees": true, "code_generation_html": "string", "course_fee_discount_info": { "amount": 0.1, "course_fee_ids": [ … ], "course_ids": [ … ], "course_type_ids": [ … ], "method": "amount", "program_ids": [ … ] }, "custom_field_values": [ { … } ], "discount_method": "discount line item", "discount_product_id": "string", "exam_fee_discount_info": { "amount": 0.1, "exam_fee_ids": [ … ], "exam_ids": [ … ], "method": "amount", "program_ids": [ … ] }, "id": "string", "is_active": true, "maximum_discount": 0.1, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }